STTY(1)

NAAM
stty - terminalkarakteristieken tonen of instellen

SAMENVATTING
stty [-F APPARAAT | --file=APPARAAT] [INSTELLING]...
stty [-F APPARAAT | --file=APPARAAT] [-a|--all]
stty [-F APPARAAT | --file=APPARAAT] [-g|--save]

BESCHRIJVING

Toont terminalkarakteristieken of stelt ze in.

Een verplicht argument bij een lange optie is ook verplicht voor de korte optie.

-a, --all
    alle huidige instellingen in leesbare vorm tonen

-g, --save
    alle huidige instellingen in herbruikbare vorm tonen

-F, --file=APPARAAT
    te gebruiken apparaat in plaats van standaardinvoer

--help
    toon de helptekst en stop

--version
    toon programmaversie en stop

De optionele '-' voor een INSTELLING betekent negatie (oftewel 'niet-'). Niet-POSIX-instellingen zijn met een '*' gemarkeerd. Het hangt van het onderliggende systeem af welke instellingen beschikbaar zijn.

  Speciale tekens:

* discard TEKEN
    TEKEN schakelt het verwerpen van de uitvoer om

eof TEKEN
    TEKEN zendt een einde van bestand (beëindigt de invoer)

eol TEKEN
    TEKEN beëindigt de regel

* eol2 TEKEN
    alternatief TEKEN voor regelbeëindiging

erase TEKEN
    TEKEN verwijdert het laatst getypte teken

intr TEKEN
    TEKEN zendt een interruptsignaal

kill TEKEN
    TEKEN verwijdert de huidige regel

* lnext TEKEN
    TEKEN voert het volgende teken aangehaald in

quit TEKEN
    TEKEN zendt een QUIT-signaal

* rprnt TEKEN
    TEKEN herschrijft de huidige regel

start TEKEN
    TEKEN herstart de uitvoer als deze gestopt is

stop TEKEN
    TEKEN stopt de uitvoer

susp TEKEN
    TEKEN zendt een terminal-stopsignaal

* swtch TEKEN
    TEKEN schakelt naar een andere shell-laag

* werase TEKEN
    TEKEN verwijdert het laatst getypte woord

  Speciale instellingen:

N   de in- en uitvoersnelheid op N bits per seconde zetten

cols N
    de kernel laten weten dat de terminal N kolommen heeft

* columns N
    hetzelfde als cols N

* [-]drain
    op verzending wachten vóór toepassen van instellingen (standaard aan)

ispeed N
    de invoersnelheid op N zetten

* line N
    lijnprotocol N gebruiken

min N
    met -icanon, minimum voor complete leesopdracht is N tekens

ospeed N
    de uitvoersnelheid op N zetten

rows N
    de kernel laten weten dat de terminal N rijen heeft

size
    het aantal rijen en kolommen volgens de kernel tonen

speed
    de snelheid van de terminal tonen

time N
    met -icanon, leestijdslimiet op N tiende seconde instellen

  Besturingsinstellingen:

[-]clocal
    modem-besturingssignalen uitschakelen

[-]cread
    het ontvangen van invoer toestaan

* [-]crtscts
    RTS/CTS-handshake inschakelen

csN tekengrootte op N bits instellen; N in [5..8]

[-]cstopb
    twee stopbits per teken gebruiken (één met '-')

[-]hup
    'opgehangen'-signaal sturen wanneer laatste proces de TTY sluit

[-]hupcl
    hetzelfde als [-]hup

[-]parenb
    pariteitsbit in uitvoer genereren en in invoer verwachten

[-]parodd
    oneven pariteit instellen (of even pariteit met '-')

* [-]cmspar
    "stick"-pariteit (altijd aan of uit) gebruiken

  Invoerinstellingen:

[-]brkint
    een break veroorzaakt een interruptsignaal

[-]icrnl
    CR-teken (naar regelbegin) omzetten in LF-teken (nieuweregel)

[-]ignbrk
    break-tekens negeren

[-]igncr
    CR-tekens negeren

[-]ignpar
    tekens met een pariteitsfout negeren

* [-]imaxbel
    piep geven en een volle invoerbuffer niet legen bij een teken

[-]inlcr
    LF-teken (nieuweregel) omzetten in CR-teken (naar regelbegin)

[-]inpck
    controle op invoerpariteit inschakelen

[-]istrip
    hoogste bit (het achtste) van invoertekens nul maken

* [-]iutf8
    aannemen dat invoertekens in UTF-8 gecodeerd zijn

* [-]iuclc
    hoofdletters omzetten in kleine letters

* [-]ixany
    elk teken de uitvoer laten herstarten, niet alleen startteken

[-]ixoff
    het zenden van start-/stoptekens inschakelen

[-]ixon
    XON/XOFF-besturing inschakelen

[-]parmrk
    pariteitsfouten markeren (met een 255-0-tekencombinatie)

[-]tandem
    hetzelfde als [-]ixoff

  Uitvoerinstellingen:

* bsN
    backspace-vertragingsstijl; N in [0..1]

* crN
    'carriage return'-vertragingsstijl, N in [0..3]

* ffN
    'form feed'-vertragingsstijl; N in [0..1]

* nlN
    nieuweregel-vertragingsstijl; N in [0..1]

* [-]ocrnl
    CR-teken (naar regelbegin) omzetten in LF-teken (nieuweregel)

* [-]ofdel
    als opvulling DEL-tekens gebruiken in plaats van NUL-tekens

* [-]ofill
    voor vertragingen opvultekens gebruiken in plaats van pauzes

* [-]olcuc
    kleine letters omzetten in hoofdletters

* [-]onlcr
    LF-teken (nieuweregel) omzetten in CR- + LF-tekens

* [-]onlret
    'nieuweregel' voert een 'naar regelbegin' uit

* [-]onocr
    geen 'naar regelbegin' uitvoeren wanneer in de eerste kolom

[-]opost
    uitvoer nabewerken

* tabN
    vertragingsstijl voor horizontale tab; N in [0..3]

* tabs
    hetzelfde als tab0

* -tabs
    hetzelfde als tab3

* vtN
    vertragingsstijl voor verticale tab; N in [0..1]

  Lokale instellingen:

[-]crterase
    erase-tekens echoën als backspace-spatie-backspace

* crtkill
    gehele regel verwijderen via 'echoprt' en 'echoe'

* -crtkill
    gehele regel verwijderen via 'echoctl' en 'echok'

* [-]ctlecho
    stuurtekens in dakjesnotatie echoën (^c)

[-]echo
    invoertekens echoën

* [-]echoctl
    hetzelfde als [-]ctlecho

[-]echoe
    hetzelfde als [-]crterase

[-]echok
    een nieuweregel-teken echoën na een kill-teken

* [-]echoke
    hetzelfde als [-]crtkill

[-]echonl
    nieuweregel echoën zelfs als geen andere tekens worden geëchood

* [-]echoprt
    verwijderde tekens achterwaarts echoën, tussen '\' en '/'

* [-]extproc
    "LINEMODE" inschakelen; nuttig bij zeer trage verbindingen

* [-]flusho
    uitvoer verwerpen

[-]icanon
    speciale tekens inschakelen: erase, kill, werase, rprnt

[-]iexten
    niet-POSIX speciale tekens inschakelen

[-]isig
    speciale tekens voor interrupt, quit, en suspend inschakelen

[-]noflsh
    legen van buffer na interrupt of quit uitschakelen

* [-]prterase
    hetzelfde als [-]echoprt

* [-]tostop
    achtergrondtaken stoppen die naar de terminal willen schrijven

* [-]xcase
    met 'icanon': '\' voor kleine letter maakt hoofdletter

  Combinatie-instellingen:

* [-]LCASE
    hetzelfde als [-]lcase

cbreak
    hetzelfde als -icanon

-cbreak
    hetzelfde als icanon

cooked
    hetzelfde als 'brkint ignpar istrip icrnl ixon opost isig

-cooked
    hetzelfde als raw

crt hetzelfde als echoe echoctl echoke

dec hetzelfde als 'echoe echoctl echoke -ixany intr ^c erase 0177 kill ^u

* [-]decctlq
    hetzelfde als [-]ixany

ek  de erase- en kill-tekens op hun standaardwaarden zetten

evenp
    hetzelfde als parenb -parodd cs7

-evenp
    hetzelfde als -parenb cs8

* [-]lcase
    hetzelfde als xcase iuclc olcuc

litout
    hetzelfde als -parenb -istrip -opost cs8

-litout
    hetzelfde als parenb istrip opost cs7

nl  hetzelfde als -icrnl -onlcr

-nl hetzelfde als icrnl -inlcr -igncr onlcr -ocrnl -onlret

oddp
    hetzelfde als parenb parodd cs7

-oddp
    hetzelfde als -parenb cs8

[-]parity
    hetzelfde als [-]evenp

pass8
    hetzelfde als -parenb -istrip cs8

-pass8
    hetzelfde als 'parenb istrip cs7'

raw hetzelfde als -ignbrk -brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr -icrnl -ixon -ixoff -icanon -opost -isig -iuclc -ixany -imaxbel -xcase min 1 time 0

-raw
    hetzelfde als 'cooked'

sane
    hetzelfde als cread -ignbrk brkint -inlcr -igncr icrnl icanon iexten echo echoe echok -echonl -noflsh -ixoff -iutf8 -iuclc -ixany imaxbel -xcase -olcuc -ocrnl opost -ofill onlcr -onocr -onlret nl0 cr0 tab0 bs0 vt0 ff0 isig -tostop -ofdel -echoprt echoctl echoke -extproc -flusho, met alle speciale tekens op hun standaardwaarden

Bestuurt de TTY die met standaardinvoer verbonden is. Zonder argumenten worden baudrate, lijnprotocol, en afwijkingen van 'stty sane' getoond. Bij instellingen wordt TEKEN letterlijk gebruikt, of gecodeerd als in ^c, 0x37, 0177 of 127; de speciale waarden '^-' of 'undef' kunnen gebruikt worden om speciale tekens inactief te maken.

AUTEUR
Geschreven door David MacKenzie.

RAPPORTEREN VAN BUGS
Online hulp bij GNU coreutils: <https://www.gnu.org/software/coreutils/>
Meld alle vertaalfouten op <https://translationproject.org/team/nl.html>

ZIE OOK
Volledige documentatie op: <https://www.gnu.org/software/coreutils/stty>
of lokaal via: info '(coreutils) stty invocation'

Pakket gemaakt door Debian (9.7-3)
Copyright (c) 2025 Free Software Foundation, Inc.
Licentie GPLv3+: GNU GPL versie 3 of later <https://gnu.org/licenses/gpl.html>
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden.
Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com>

Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID.

Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.